    #target Illustrator  
    // script.name = RemoveClippingMasks.jsx  
    // script.description = deletes all pathItems being used as clipping masks that are visible and unlocked.  
    // script.parent = Kenneth Webb // 09/26/2013  
      
      
    var docRef = app.activeDocument;  
    var clippingCount = 0  
      
      
    clipScan(docRef) // searches the whole document  
    //clipScan(docRef.activeLayer); // searches the active layer  
      
      
    function clipScan (container) {  
        for (i=container.pathItems.length-1;i>=0;i--) {  
    var item = container.pathItems[i];  
            if (item.clipping == true && item.editable == true){ //screens for locked or hidden items  
                container.pathItems[i].remove();  
                clippingCount++;  
            }  
        }  
    };  
      
      
    alert (clippingCount+" Clipping Masks Removed")  